Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 606012 - mail-client/mutt-1.7.2-r1 with dev-libs/openssl-1.1.0c - mutt_ssl.c:242: undefined reference to `SSL_load_error_strings'
Summary: mail-client/mutt-1.7.2-r1 with dev-libs/openssl-1.1.0c - mutt_ssl.c:242: unde...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Fabian Groffen
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2017-01-17 10:28 UTC by eroen
Modified: 2018-10-24 16:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mail-client/mutt-1.7.2-r1:20170117-101426.log (mutt-1.7.2-r1:20170117-101426.log,65.08 KB, text/plain)
2017-01-17 10:28 UTC, eroen
Details
mutt-1.9.2-openssl-1.1.0-compat.patch (mutt-1.9.2-openssl-1.1.0-compat.patch,992 bytes, patch)
2018-02-18 22:52 UTC, Quentin Minster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-01-17 10:28:10 UTC
Created attachment 460438 [details]
mail-client/mutt-1.7.2-r1:20170117-101426.log

x86_64-pc-linux-gnu-gcc -DPKGDATADIR=\"/usr/share/mutt\" -DSYSCONFDIR=\"/etc/mutt\" -DBINDIR=\"/usr/bin\" -DMUTTLOCALEDIR=\"/usr/share/locale\" -DHAVE_CONFIG_H=1 -DPREFIX=\"/usr/..\" -I.  -I. -I. -I./imap -I/usr/include/gpgme -Iintl -I./intl  -Wall -pedantic -Wno-long-long -O0 -g -c -o mutt_ssl.o mutt_ssl.c
mutt_ssl.c: In function 'ssl_init':
mutt_ssl.c:242:3: warning: implicit declaration of function 'SSL_load_error_strings' [-Wimplicit-function-declaration]
   SSL_load_error_strings();
   ^~~~~~~~~~~~~~~~~~~~~~
mutt_ssl.c:243:3: warning: implicit declaration of function 'SSL_library_init' [-Wimplicit-function-declaration]
   SSL_library_init();
   ^~~~~~~~~~~~~~~~
mutt_ssl.c: In function 'ssl_err':
mutt_ssl.c:532:15: warning: variable 'errmsg' set but not used [-Wunused-but-set-variable]
   const char* errmsg;
               ^~~~~~
mutt_ssl.c: In function 'check_certificate_by_digest':
mutt_ssl.c:719:32: warning: implicit declaration of function 'X509_get_notBefore' [-Wimplicit-function-declaration]
     if (X509_cmp_current_time (X509_get_notBefore (peercert)) >= 0)
                                ^~~~~~~~~~~~~~~~~~
mutt_ssl.c:719:32: warning: passing argument 1 of 'X509_cmp_current_time' makes pointer from integer without a cast [-Wint-conversion]
In file included from /usr/include/openssl/pem.h:17:0,
                 from /usr/include/openssl/ssl.h:55,
                 from mutt_ssl.c:23:
/usr/include/openssl/x509.h:475:5: note: expected 'const ASN1_TIME * {aka const struct asn1_string_st *}' but argument is of type 'int'
 int X509_cmp_current_time(const ASN1_TIME *s);
     ^~~~~~~~~~~~~~~~~~~~~
mutt_ssl.c:726:32: warning: implicit declaration of function 'X509_get_notAfter' [-Wimplicit-function-declaration]
     if (X509_cmp_current_time (X509_get_notAfter (peercert)) <= 0)
                                ^~~~~~~~~~~~~~~~~
mutt_ssl.c:726:32: warning: passing argument 1 of 'X509_cmp_current_time' makes pointer from integer without a cast [-Wint-conversion]
In file included from /usr/include/openssl/pem.h:17:0,
                 from /usr/include/openssl/ssl.h:55,
                 from mutt_ssl.c:23:
/usr/include/openssl/x509.h:475:5: note: expected 'const ASN1_TIME * {aka const struct asn1_string_st *}' but argument is of type 'int'
 int X509_cmp_current_time(const ASN1_TIME *s);
     ^~~~~~~~~~~~~~~~~~~~~
mutt_ssl.c: In function 'ssl_verify_callback':
mutt_ssl.c:930:22: warning: implicit declaration of function 'X509_STORE_CTX_get_chain' [-Wimplicit-function-declaration]
   len = sk_X509_num (X509_STORE_CTX_get_chain (ctx));
                      ^~~~~~~~~~~~~~~~~~~~~~~~
mutt_ssl.c:930:22: warning: passing argument 1 of 'sk_X509_num' makes pointer from integer without a cast [-Wint-conversion]
In file included from /usr/include/openssl/crypto.h:29:0,
                 from /usr/include/openssl/comp.h:16,
                 from /usr/include/openssl/ssl.h:47,
                 from mutt_ssl.c:23:
/usr/include/openssl/x509.h:97:1: note: expected 'const struct stack_st_X509 *' but argument is of type 'int'
 DEFINE_STACK_OF(X509)
 ^
mutt_ssl.c: In function 'interactive_check_cert':
mutt_ssl.c:1025:27: warning: passing argument 1 of 'asn1time_to_string' makes pointer from integer without a cast [-Wint-conversion]
       asn1time_to_string (X509_get_notBefore (cert)));
                           ^~~~~~~~~~~~~~~~~~
mutt_ssl.c:643:14: note: expected 'ASN1_UTCTIME * {aka struct asn1_string_st *}' but argument is of type 'int'
 static char *asn1time_to_string (ASN1_UTCTIME *tm)
              ^~~~~~~~~~~~~~~~~~
mutt_ssl.c:1027:27: warning: passing argument 1 of 'asn1time_to_string' makes pointer from integer without a cast [-Wint-conversion]
       asn1time_to_string (X509_get_notAfter (cert)));
                           ^~~~~~~~~~~~~~~~~
mutt_ssl.c:643:14: note: expected 'ASN1_UTCTIME * {aka struct asn1_string_st *}' but argument is of type 'int'
 static char *asn1time_to_string (ASN1_UTCTIME *tm)
              ^~~~~~~~~~~~~~~~~~
mutt_ssl.c:1040:31: warning: passing argument 1 of 'X509_cmp_current_time' makes pointer from integer without a cast [-Wint-conversion]
    || (X509_cmp_current_time (X509_get_notAfter (cert)) >= 0
                               ^~~~~~~~~~~~~~~~~
In file included from /usr/include/openssl/pem.h:17:0,
                 from /usr/include/openssl/ssl.h:55,
                 from mutt_ssl.c:23:
/usr/include/openssl/x509.h:475:5: note: expected 'const ASN1_TIME * {aka const struct asn1_string_st *}' but argument is of type 'int'
 int X509_cmp_current_time(const ASN1_TIME *s);
     ^~~~~~~~~~~~~~~~~~~~~
mutt_ssl.c:1041:34: warning: passing argument 1 of 'X509_cmp_current_time' makes pointer from integer without a cast [-Wint-conversion]
        && X509_cmp_current_time (X509_get_notBefore (cert)) < 0)))
                                  ^~~~~~~~~~~~~~~~~~
In file included from /usr/include/openssl/pem.h:17:0,
                 from /usr/include/openssl/ssl.h:55,
                 from mutt_ssl.c:23:
/usr/include/openssl/x509.h:475:5: note: expected 'const ASN1_TIME * {aka const struct asn1_string_st *}' but argument is of type 'int'
 int X509_cmp_current_time(const ASN1_TIME *s);
     ^~~~~~~~~~~~~~~~~~~~~

x86_64-pc-linux-gnu-gcc  -Wall -pedantic -Wno-long-long -O0 -g  -Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -o mutt addrbook.o alias.o attach.o base64.o browser.o buffy.o color.o crypt.o cryptglue.o commands.o complete.o compose.o copy.o curs_lib.o curs_main.o date.o edit.o enter.o flags.o init.o filter.o from.o getdomain.o group.o handler.o hash.o hdrline.o headers.o help.o hook.o keymap.o main.o mbox.o menu.o mh.o mx.o pager.o parse.o pattern.o postpone.o query.o recvattach.o recvcmd.o rfc822.o rfc1524.o rfc2047.o rfc2231.o rfc3676.o score.o send.o sendlib.o signal.o sort.o status.o system.o thread.o charset.o history.o lib.o muttlib.o editmsg.o mbyte.o url.o ascii.o crypt-mod.o safe_asprintf.o version.o  patchlist.o conststrings.o  crypt-gpgme.o crypt-mod-pgp-gpgme.o crypt-mod-smime-gpgme.o pgp.o pgpinvoke.o pgpkey.o pgplib.o gnupgparse.o pgpmicalg.o pgppacket.o crypt-mod-pgp-classic.o smime.o crypt-mod-smime-classic.o compress.o resize.o pop.o pop_lib.o pop_auth.o nntp.o newsrc.o smtp.o bcache.o account.o mutt_socket.o mutt_tunnel.o mutt_ssl.o hcache.o md5.o mutt_idna.o regex.o -Limap -limap -lncursesw -lssl -lcrypto -lz -lgdbm -lidn    -L/usr/lib64 -lgpgme -lassuan -lgpg-error  
mutt_ssl.o: In function `ssl_init':
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:242: undefined reference to `SSL_load_error_strings'
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:243: undefined reference to `SSL_library_init'
mutt_ssl.o: In function `check_certificate_by_digest':
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:719: undefined reference to `X509_get_notBefore'
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:726: undefined reference to `X509_get_notAfter'
mutt_ssl.o: In function `ssl_verify_callback':
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:930: undefined reference to `X509_STORE_CTX_get_chain'
mutt_ssl.o: In function `interactive_check_cert':
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:1025: undefined reference to `X509_get_notBefore'
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:1027: undefined reference to `X509_get_notAfter'
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:1040: undefined reference to `X509_get_notAfter'
/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2/mutt_ssl.c:1041: undefined reference to `X509_get_notBefore'
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:664: mutt] Error 1
make[2]: Leaving directory '/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2'
make[1]: *** [Makefile:888: all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/mail-client/mutt-1.7.2-r1/work/mutt-1.7.2'
make: *** [Makefile:557: all] Error 2
 * ERROR: mail-client/mutt-1.7.2-r1::gentoo failed (compile phase):
 *   emake failed
Comment 1 Tomáš Mózes 2017-01-21 05:40:02 UTC
Please attach the output of emerge --info
Comment 2 eroen 2017-01-23 14:23:05 UTC
(In reply to Tomáš Mózes from comment #1)
> Please attach the output of emerge --info

occam ~ # emerge --info mutt
Portage 2.3.3 (python 3.5.2-final-0, hardened/linux/amd64, gcc-6.3.0, glibc-2.23-r3, 4.8.15-hardened-o0 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-hardened-o0-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.3
KiB Mem:     7998540 total,   2846056 free
KiB Swap:   16777212 total,  16705104 free
Timestamp of repository gentoo: Sun, 22 Jan 2017 20:00:01 +0000
Timestamp of repository eroen: Sun, 30 Oct 2016 21:58:42 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.27 p1.0) 2.27
ccache version 3.3.3 [disabled]
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/ccache:          3.3.3::gentoo
dev-util/cmake:           3.7.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23.1::gentoo
sys-apps/sandbox:         2.10-r3::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.12.6-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.27::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo, 5.4.0-r2::gentoo, 6.2.0-r1::gentoo, 6.3.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --exclude ChangeLog* --exclude /metadata/cache/ --stats --delay-updates -c

eroen
    location: /usr/local/portage
    masters: gentoo
    priority: 0

wiktorb
    location: /var/lib/overlays/wiktorb
    sync-type: git
    sync-uri: https://github.com/wiktor-b/overlay.git
    masters: gentoo

enlightenment
    location: /var/lib/layman/enlightenment
    masters: gentoo
    priority: 50

flora
    location: /var/lib/layman/flora
    masters: gentoo
    priority: 50

gamerlay
    location: /var/lib/layman/gamerlay
    masters: gentoo
    priority: 50

glc
    location: /var/lib/layman/glc
    masters: gentoo
    priority: 50

hardened-development
    location: /var/lib/layman/hardened-development
    masters: gentoo
    priority: 50

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

hasufell
    location: /var/lib/layman/hasufell
    masters: gentoo
    priority: 50

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 50

laurentb
    location: /var/lib/layman/laurentb
    masters: gentoo
    priority: 50

roslin
    location: /var/lib/layman/roslin
    masters: gentoo
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

stuff
    location: /var/lib/layman/stuff
    masters: gentoo
    priority: 50

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 50

toolchain
    location: /var/lib/layman/toolchain
    masters: gentoo
    priority: 50

v-fox
    location: /var/lib/layman/v-fox
    masters: gentoo
    priority: 50

wine-a-holics
    location: /var/lib/layman/wine-a-holics
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=4 --autounmask --quiet-build --nospinner --verbose-conflicts --verbose-slot-rebuilds"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance cgroup collision-protect compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles installsources ipc-sandbox merge-sync network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms split-log splitdebug strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=""
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j4 -l10"
PKGDIR="/var/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude ChangeLog* --exclude /metadata/cache/ --stats --delay-updates -c"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng audio audiofile avresample avx bash-completion bdf berkdb bluray bzip2 cairo caps cb cdda cdparanoia cdr cjk cli corefonts cracklib crypt cups curl cxx ddate declarative detex device-mapper dga dia djvu dmapi dri dts dvd dvi2tty dvipdfm ebook egl exif fam ffmpeg fftw fits flac fontconfig g3dvl gallium gbm gcrypt gdbm gif gimp git glamor glib glibc-omitfp gmp gnuplot gnutls gold gpm graphics graphviz gs gstreamer gtk gtk3 hardened highlight hscolour iconv icu id3tag idn imagemagick imlib inotify iproute2 ipv6 jbig jpeg jpeg2k jpg json justify kde kde4 kpathsea latex lcms libffi libssh2 libv4l luatex lvm lvm2 lzma lzo man metric mikmod mkv mms mmx mng modules mp3 mpeg mpg123 multilib multimedia musepack ncurses netlink nptl nut ocr odbc offensive ogg opengl openmp openvg optimization optimized-qmake opus orc pam pango pax_kernel pcre pdf pgf phonon pie png postscript private-headers pstricks pth publishers python3 qt3support qt4 raw readline samba sbsms scanner science sdl seccomp session smp sna sndfile speex spell sqlite sse sse2 sse3 sse4 sse41 sse4_1 sse4_2 ssh ssl ssp ssse3 svg t1lib tcpd tesseract theora threads tiff tls truetype udev unicode urandom usb v4l v4l2 vaapi video vorbis vpx webp wmf x264 xanim xattr xcb xcomposite xetex xfs xft xinerama xkb xml xmlpatterns xorg xosd xpm xrandr xtpax xv xvid xvmc xz zlib zsh-completion" ABI_X86="32 64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2 avx sse3 ssse3 sse4_1 aes avx mmxext popcnt sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="mouse keyboard evdev synaptics wacom" KERNEL="linux" L10N="en en-US en-GB eng" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en gb us en_US en_GB eng jbo no nb nn no_NO nb_NO nn_NO nor" LLVM_TARGETS="BPF X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 python3_5" QEMU_SOFTMMU_TARGETS="x86_64 i386" RUBY_TARGETS="ruby21" SANE_BACKENDS="plustek" USERLAND="GNU" VIDEO_CARDS="intel i965 ilo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.3 3.4"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND

=================================================================
                        Package Settings
=================================================================

mail-client/mutt-1.7.2::gentoo was built with the following:
USE="berkdb crypt gdbm gpg idn imap nntp pop smime smtp ssl -debug -doc (-gnutls) -kerberos -libressl -mbox -nls -notmuch -qdbm -sasl (-selinux) -sidebar -slang -tokyocabinet -vanilla" ABI_X86="64"
CFLAGS="-march=corei7-avx -O3 -pipe -flto -ffat-lto-objects -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
CXXFLAGS="-march=corei7-avx -O3 -pipe -flto -ffat-lto-objects -fuse-linker-plugin -floop-interchange -floop-strip-mine -floop-block -fgraphite-identity"
Comment 3 Fabian Groffen gentoo-dev 2017-01-26 15:43:24 UTC
I don't have an environment yet where I can test/work with this.
Comment 4 Quentin Minster 2018-02-18 22:52:50 UTC
Created attachment 520080 [details, diff]
mutt-1.9.2-openssl-1.1.0-compat.patch

Here is a patch that fixes mutt to build with OpenSSL 1.1.0.

I only fixed the undefined symbols, not the logic around. I must say there are still some areas of the code that look OpenSSL 1.0-ish (e.g. doing manual certificate hostname checking), but that should still work with OpenSSL 1.1 (it's just that OpenSSL 1.1 should already do it by itself).

W.r.t building, it's fine with this patch. W.r.t running, it's able to log in to my mail server ok. Didn't test further yet.
Comment 5 Fabian Groffen gentoo-dev 2018-03-29 07:18:28 UTC
hi Quentin, 

Thanks for your patch.  Have you brought this up with mutt team yet?  If not, would you be so kind to open up a ticked on their gitlab (or create a PR)?

https://gitlab.com/muttmua/mutt/

Thanks
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2018-09-29 17:32:10 UTC
Latest mutt in portage builds against openssl-1.1*